com.jogamp.gluegen.cgram.types

## Class IntType

- java.lang.Object
- - com.jogamp.gluegen.cgram.types.Type
  - - com.jogamp.gluegen.cgram.types.PrimitiveType
    - - com.jogamp.gluegen.cgram.types.IntType

- All Implemented Interfaces:
    Cloneable
  Direct Known Subclasses:
    BitType, EnumType

      public class IntType
      extends PrimitiveType
      implements Cloneable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntType(String name, SizeThunk size, boolean unsigned, int cvAttributes)`
    `IntType(String name, SizeThunk size, boolean unsigned, int cvAttributes, boolean typedefedUnsigned)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IntType` | `asInt()` Casts this to an IntType or returns null if not an IntType.
    `boolean` | `equals(Object arg)` Equality test for Types.
    `boolean` | `isPrimitiveUnsigned()` Indicates whether this type is an unsigned primitive type, as opposed to a typedef type that's unsigned.
    `boolean` | `isUnsigned()` Indicates whether this type is unsigned
    `void` | `setName(String name)` Set the name of this type; used for handling typedefs.
    `String` | `toString()` Returns a string representation of this type.

    - ### Methods inherited from class com.jogamp.gluegen.cgram.types.PrimitiveType

      `isPrimitive`

    - ### Methods inherited from class com.jogamp.gluegen.cgram.types.Type

      `arrayDimension, asArray, asBit, asCompound, asDouble, asEnum, asFloat, asFunction, asPointer, asVoid, clone, getBaseElementType, getCVAttributes, getCVAttributesString, getCVVariant, getDebugString, getName, getName, getSize, getSize, hashCode, hasTypedefName, isArray, isBit, isCompound, isConst, isDouble, isEnum, isFloat, isFunction, isFunctionPointer, isInt, isPointer, isVoid, isVolatile, pointerDepth, visit`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IntType

          public IntType(String name,
                 SizeThunk size,
                 boolean unsigned,
                 int cvAttributes)

    - #### IntType

          public IntType(String name,
                 SizeThunk size,
                 boolean unsigned,
                 int cvAttributes,
                 boolean typedefedUnsigned)

  - ### Method Detail

    - #### equals

          public boolean equals(Object arg)

      Description copied from class: `Type`
      Equality test for Types.
      Overrides:
        `equals` in class `Type`

    - #### setName

          public void setName(String name)

      Description copied from class: `Type`
      Set the name of this type; used for handling typedefs.
      Overrides:
        `setName` in class `Type`

    - #### asInt

          public IntType asInt()

      Description copied from class: `Type`
      Casts this to an IntType or returns null if not an IntType.
      Overrides:
        `asInt` in class `Type`

    - #### isUnsigned

          public boolean isUnsigned()

      Indicates whether this type is unsigned

    - #### isPrimitiveUnsigned

          public boolean isPrimitiveUnsigned()

      Indicates whether this type is an unsigned primitive type, as opposed to a typedef type that's unsigned.

    - #### toString

          public String toString()

      Description copied from class: `Type`
      Returns a string representation of this type. This string is not necessarily suitable for use as a type specifier; for example, it will contain an expanded description of structs/unions.
      Overrides:
        `toString` in class `Type`